import React, { useMemo } from 'react';
import { DatePickerProps } from '../../interfaces/DatePickerProps/DatePickerProps.interface';
import { Container,Placeholder, ButtonPicker, DataText } from './styles';
import { MaterialIcons } from "@expo/vector-icons";
import DateTimePicker from '@react-native-community/datetimepicker';

export default function SelectDatePicker({iconLeft, showPlaceholder, placeholder,selectedDate, onPress, onChange, opened, ...props}: DatePickerProps) {

	const formatedDate = useMemo(()=>{
		return selectedDate.getDate() + "/" + selectedDate.getMonth() + "/" + selectedDate.getFullYear()
	},[selectedDate])
  return (
		<Container {...props} >
			<ButtonPicker onPress={onPress}>
			{iconLeft && <MaterialIcons
				style={{ paddingRight: 7 }}
				name={iconLeft}
				size={24}
				color="black"
			/>}
			{
				showPlaceholder ?
					<Placeholder>{placeholder}</Placeholder> :
					<DataText>{formatedDate}</DataText>
			}
			{
				opened && <DateTimePicker
				mode="date"
				display="calendar"
				onChange={(event: Event, date: Date | undefined)=>onChange(event, date)}
				textColor="#f4ede8"
				value={selectedDate}
				minimumDate={new Date()}
			/>
			}
			</ButtonPicker>

		</Container>
  );
}
