import { View, Text } from 'react-native';
import { RectButton} from 'react-native-gesture-handler';
import styled from 'styled-components';
import { colors } from '../../config/Theme';
import { rgba } from "polished";

export const Container  = styled(View)`
	min-width: 250px;
	width: 250px;
	height: 48px;
	flex-direction: row;
	justify-content: center;
	align-items: center;
	border-width: 1px;
	border-color: ${rgba(colors.secondary, 0.35)};
	background: ${colors.white};
	border-radius: 4px;
	padding: 8px 12px;
	margin: 10px;
`

export const Placeholder = styled(Text)`
	flex: 1;
	font-size: 18px;
	color: ${colors.secondary};
`;

export const DataText = styled(Text)`
	flex: 1;
	font-size: 18px;
	color: ${colors.secondary};
`

export const ButtonPicker = styled(RectButton)`
	flex:1;
	flex-direction: row;
	justify-content: center;
	align-items: center;
`
