import * as Yup from "yup";

const phoneRegExp = /^((\\+[1-9]{1,4}[ \\-]*)|(\\([0-9]{2,3}\\)[ \\-]*)|([0-9]{2,4})[ \\-]*)*?[0-9]{3,4}?[ \\-]*[0-9]{3,4}?$/;

export const FormSchema = Yup.object().shape({
	fullName: Yup.string()
		.required("Campo obrigatório")
		.min(6, "Insira o nome completo"),
	email: Yup.string()
		.email("Email inválido")
		.required("Campo obrigatório"),
	phoneNumber: Yup.string()
		.matches(phoneRegExp, "Campo obrigatório")
		.required("Campo obrigatório"),
	message: Yup.string().required("Campo obrigatório"),
});
