import styled from "styled-components";
import { colors } from "../../config/Theme";
import { View, Text, SafeAreaView } from "react-native";

export const SafeAreaColor = styled(SafeAreaView)`
	display: flex;
	background-color: #f4f8f9;
	height: 100%;
`;

export const ContainerCity = styled(View)`
	margin-top: 28;
	align-items: center;
`

export const CityName = styled(Text)`
	font-size: 25px;
	font-weight: bold;
	color: black;
`;

export const ViewFilterButton = styled(View)`
	flex-direction: row;
	justify-content: space-between;
	align-items: center;
`;

export const Container = styled(View)`
	padding-right: 33px;
	padding-left: 33px;
	flex: 1;
`;

export const ModalView = styled(View)`
	padding: 30px 25px;
	background-color: white;
	border-radius: 5px;
	elevation: 5;
	flex:1;

`;

export const ModalContainer = styled(View)`
	padding-top: 30px;
	align-items: center;
`;

export const ModalFooter = styled(View)`
	padding-top: 20px;
	width: 100%;
	align-items: center;
`;

export const SpacedText = styled(View)`
	flex-direction: row;
	justify-content: space-between;
	align-items: center;
`;

export const ModalText = styled(Text)`
	font-size: 20px;
	color: black;
`;

export const CenteredView = styled(View)`
	flex: 1;
	justify-content: center;
	align-items: center;
`;

export const Modal = styled(View)`
	margin-top: 40px;
	height: 450px;
`

export const ContainerTitleLegend = styled(View)`
	margin-top: 10px;
`

export const TitleLegendText = styled(Text)`
	color: black;
	font-size: 18px;
`

export const ContainerLegend = styled(View)`
	margin-left: 20px;
	margin-top: 10px;
`;

export const ContainerTextLegend = styled(View)`
	flex: 1;
	flex-direction: row;
	align-items: flex-start;
`

export const LegendText = styled(Text)`
	color: ${colors.primary};
	margin-left: 10px;
	font-size: 15px;
`
